View Issue Details

IDProjectCategoryView StatusLast Update
0000145SOGoWeb Preferencespublic2009-10-06 14:14
Reporterludovic Assigned Tofrancis  
PriorityurgentSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Target Version1.1.0Fixed in Version1.1.0 
Summary0000145: No proper fallback for most preferences
Description

We do NOT fallback properly in UI/PreferencesUI/UIxPreferences.m to system-wide preferences for most of them. Instead of using the cached ivar 'userDefaults', we should directly use 'user' and fallback on standard methods from SOGoUser.

TagsNo tags attached.

Relationships

parent of 0000137 closedludovic 'Preferences' parameters in .GNUstepDefaults variables 

Activities

francis

francis

2009-10-06 14:14

administrator   ~0000142

Respected system defaults:

SOGoDayEndTime
SOGoDayStartTime
SOGoMailMessageForwarding
SOGoMailReplyPlacement
SOGoMailSignaturePlacement
SOGoTimeFormat (new)

Issue History

Date Modified Username Field Change
2009-09-23 09:21 ludovic New Issue
2009-09-23 09:21 ludovic Target Version => 1.1.0
2009-09-30 17:30 francis Relationship added parent of 0000137
2009-10-06 14:13 francis Status new => assigned
2009-10-06 14:13 francis Assigned To => francis
2009-10-06 14:14 francis Note Added: 0000142
2009-10-06 14:14 francis Status assigned => resolved
2009-10-06 14:14 francis Fixed in Version => 1.1.0
2009-10-06 14:14 francis Resolution open => fixed